InstallAnywhere: Requirements

Create Multiplatform Installations from a Single Project File – Physical, Cloud, and Virtual Environments, Plus Docker Containers

Requirements

This document shows the technical specifications for InstallAnywhere.

For Systems Running InstallAnywhere (Authoring Environment)

RAM 256 MB free; 512 MB preferred
Hard Disk Free Space 500 MB
Color High color (16-bit color depth)
Resolution Minimum 1200 x 800 resolution
Operating System InstallAnywhere runs on the latest versions of these operating systems, fully updated with the most recent patches and service packs.
Windows
  • Windows 10 Anniversary Update (x86 and x64)
  • Windows 2016 Server (x64)
  • Windows 10 (x86 and x64)
  • Windows 8.1 (x86 and x64)
  • Windows Server 2012 R2 (x64)
  • Windows 8 (x86 and x64)
  • Windows Server 2012 (x64)
  • Windows 7 (x86 and x64)
  • Windows Server 2008 R2 (x64)
  • Windows Vista
  • Windows Server 2008 (x86 and x64)
Apple
  • macOS Sierra (10.12) with Oracle Java 7 or 8
  • OS X El Capitan (10.11) with Oracle Java 7 or 8
  • OS X Yosemite (10.10) with Oracle Java 7 or 8
  • OS X Mavericks (10.9.2) with Oracle Java 7 or 8
  • OS X Mountain Lion (10.8) with Oracle Java 7 or 8
  • OS X Lion (10.7.3) with Oracle Java 7
Linux
  • Red Hat Enterprise Linux 7.2 (x64)
  • Red Hat Enterprise Linux 7/7.1
  • Red Hat Enterprise Linux 6.x (desktop and server editions; x86 and x64)
  • Red Hat Enterprise Linux 5.x (x86 and x64)
  • OpenSUSE Linux 13.2 (x64)
  • OpenSUSE Linux 11.x, 12.x, and 13.1 (SP1, x86 and x64)
  • SUSE Linux Enterprise 11 (SP2 and SP3; x64) and 12 (x64)
  • Linux PPC 64-bit (build time only) only with Java 6
  • Ubuntu 15.04 (x64)
  • Ubuntu 14.x (x64)
  • Ubuntu 13.x (desktop and server editions; x86 and x64)
  • Ubuntu 10.x, 11.x, and 12.x (x86 and x64)
  • Fedora 18, 19 20, and 24 (desktop editions; x64)

Note: When you install InstallAnywhere on a Linux system, the installation attempts to create a symbolic link to the default Linux loader (/lib/ld-linux.so.2) if a link with the same name is not already present. The symbolic link is necessary for the host ID to be displayed on the Host ID dialog, and it is also necessary for successful node-locked licensing. The link is present on systems that are Linux Standard Base (LSB) 3 compliant, but it may not be present on systems that are not LSB compliant. For more information, see Knowledge Base article Q209204.

Solaris
Solaris 9, 10, and 11 (SPARC)

Note:  Installers can be built from any supported authoring platform for any other supported target platform or language. Localizations for 31 languages are included with Premier Edition. Localizations for 9 languages are included with Professional Edition.

Requirements for Docker Images

Support for building Docker images from InstallAnywhere 2015 when Docker is installed on the platforms below.

Docker Version Supported Docker 1.7.1
Platforms
Windows
  • Windows 7
Linux
  • Ubuntu 14.10
  • Red Hat Enterprise Linux 7.1
  • CentOS 7.1
Apple
  • OS X 10.8.x, 10.9.x and 10.10.3

For Target Systems (Installer Environment)

RAM 64 MB
Color High color (16-bit color depth)
Resolution Minimum 640 x 480
Operating System Installers run on any version of these operating systems, as long as the operating system supports Java 6, 7 or 8 (but Oracle Java 7 or 8 for OS X). InstallAnywhere-generated installers are not supported on beta versions or on early-access releases unless they are explicitly mentioned.
Windows
  • Windows 10 Anniversary Update (x86 and x64)
  • Windows 2016 Server (x64)
  • Windows 10 (x86 and x64)
  • Windows 8.1 (x86 and x64)
  • Windows Server 2012 R2 (x64)
  • Windows 8 (x86 and x64)
  • Windows Server 2012 (x64)
  • Windows 7 (x86 and x64)
  • Windows Server 2008 R2 (x64)
  • Windows Vista (x86 and x64)
  • Windows Server 2008 (x86 and x64)
  • Windows XP (x86, x64, Itanium 2, and AMD-64)
  • Windows Server 2003 (x86, x64, Itanium 2, and AMD-64)

Windows-based target systems must also support the SSE2 instruction set.

Apple
  • macOS Sierra (10.12) with Oracle Java 7 or 8
  • OS X El Capitan (10.11) with Oracle Java 7 or 8
  • OS X Yosemite (10.10) with Oracle Java 7 or 8
  • OS X Mavericks (10.9.2) with Oracle Java 7 or 8
  • OS X Mountain Lion (10.8) with Oracle Java 7 or 8
  • OS X Lion (10.7.3) with Oracle Java 7
Linux
  • CentOS 7 (x86, x64)
  • CentOS 6.8 (x86, x64)
  • Red Hat Enterprise Linux 7.2 (x64)
  • Red Hat Enterprise Linux 7.2 for PowerPC (little endian)
  • Red Hat Enterprise Linux 7/7.1
  • Red Hat Linux 7.1 for PowerPC (little endian - silent and console mode only)
  • Red Hat Enterprise Linux 6.x, SUSE 11.x on zSeries
  • Red Hat Enterprise Linux 6.x SUSE 11.x PPC 64-bit (build time only) with Java 6
  • Red Hat Enterprise Linux 6.x (desktop and server editions; x86 and x64)
  • Red Hat Enterprise Linux 5 (x86, x64, Itanium 2, and AMD-64)
  • OpenSUSE Linux 13.2 (x64)
  • OpenSUSE Linux 11.x, 12.x and 13.1 (x86 and x64)
  • SUSE Linux Enterprise 11 (SP2 and SP3; x64) and 12 (SP1, x64)
  • Ubuntu 16.04 LTS (x64)
  • Ubuntu 15.04 (x64)
  • Ubuntu 14.x (x64)
  • Ubuntu 13.x (desktop and server editions; x86 and x64)
  • Ubuntu 9.x, 10.x, 11.x, 12.x (x86 and x64)
  • Fedora 17, 18, 19 20, and 24 (desktop editions; x64)
Solaris
  • Solaris 11 (x86 and SPARC)
  • Solaris 9, 10 (x86, SPARC and AMD-64)
HP-UX
  • HP-UX 11i (Itanium 2 and PA-RISC)
AIX
  • AIX 5.2, 5.3, 6.1, and 7.1 (Power/PowerPC)
IBM
  • i5/OS (OS/400) on System i - V5R3 and V5R4 (Enterprise Edition only), IBM i 6.1, and IBM i 7.1
  • z/OS
Other
  • FreeBSD
  • Other Linux and Unix operating systems (POSIXcompliant shell required)

Supported Java Virtual Machines

InstallAnywhere supports the following Java virtual machines:

Sun 1.6.x, 1.7.x
IBM 1.6.x, 1.7.x, 1.8.x
HP 1.6.x, 1.7.x
Oracle 1.7.x, 1.8x

The InstallAnywhere crossplatform installer installs JRE 1.7.0_60 VM packs. Any Java virtual machine can be bundled with an installer ensuring that the target system meets the minimum requirements for both the installers and your applications. You can download additional JRE VM packs.

InstallAnywhere-generated multiplatform installers are not supported on beta versions or on early-access releases of Java.

Requirements for Virtual Appliances

System Requirements for Building and Auto-Deploying Virtual Appliances

The following table lists the system requirements for building and auto-deploying virtual appliances from within InstallAnywhere.

Hypervisor Requirements
VMware vSphere 5/vCenter
  • Credentials to a VMware vSphere 5 Server
  • If your VMware vSphere 5 Server is managed by a VMware vCenter 5 Server, the credentials to the VMware vCenter Server are also required.
  • Host machine credentials (credentials to a physical/virtual machine that closely resembles the virtual appliance operating system)
Amazon EC2
  • Amazon EC2 account information (account number, access key, secret key, X.509 certificate, and private key associated with your Amazon EC2 account)
  • Host machine credentials (credentials to a physical/virtual machine that closely resembles the virtual appliance operating system)

Supported Hypervisors and Platforms for Virtual Appliances

InstallAnywhere supports the creation of virtual appliances that run on VMware vSphere 5 and Amazon EC2 hypervisors. A VMware vSphere 5 virtual appliance is deployable on a licensed VMware vSphere 5 Server (standalone) or a licensed VMware vSphere 5 Server that is managed by a licensed VMware vCenter 5 Server

The following table identifies the operating systems that are supported on the supported hypervisors.

Supported Hypervisor Supported Operating Systems
VMware vSphere 5/vCenter
  • CentOS 7, 6.2 and 6.3 (x86 and x64)
  • OpenSUSE 12.2 (x86 and x64) and SUSE Linux Enterprise Server 11 SP2—Requires the use of an existing SUSE VM or snapshot (No support for using a SUSE VM virtual appliance template)
  • Red Hat Enterprise Linux 6.4 (x86 and x64)—Requires the use of a Red Hat Network–registered RHEL VM virtual appliance template
  • Red Hat Enterprise Linux 6.3 (x64)—Requires the use of a Red Hat Network–registered RHEL VM virtual appliance template
  • Ubuntu 13.04 (x86 and x64)
  • Ubuntu 12.10 (x86 and x64)
  • Ubuntu 12.04 (x86 and x64)
  • Ubuntu 11.10 (x86 and x64)
Amazon EC2
  • Ubuntu 11.10 (x32)
  • Ubuntu 12.04 (x32)

Creating virtual appliances requires that InstallAnywhere be launched with JRE 1.7 or 1.8.

Back to InstallAnywhere